=== plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY(clustering)
ADD_SUBDIRECTORY(colors)
ADD_SUBDIRECTORY(import)
ADD_SUBDIRECTORY(layout)
ADD_SUBDIRECTORY(metric)
ADD_SUBDIRECTORY(selection)
ADD_SUBDIRECTORY(sizes)
ADD_SUBDIRECTORY(export)
ADD_SUBDIRECTORY(glyph)
ADD_SUBDIRECTORY(view)
ADD_SUBDIRECTORY(interactor)
