=== software/CMakeLists.txt ===
ADD_SUBDIRECTORY(plugins-manager)
ADD_SUBDIRECTORY(tulip)
#ADD_SUBDIRECTORY(tlprender)
