=== textures/CMakeLists.txt ===
INSTALL(FILES
  arrowSprite.png
  candiSprite.png
  edgeBlomSprite.png
  edgeSpring.png
  titlebarGradient.png
DESTINATION ${TulipBitmapInstallDir}
COMPONENT tulip_textures
)
