=== thirdparty/CMakeLists.txt ===
ADD_SUBDIRECTORY(gzstream)
ADD_SUBDIRECTORY(ftgl)
ADD_SUBDIRECTORY(OGDF)

IF(PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND)
IF(SIP_OK)
ADD_SUBDIRECTORY(QScintilla-gpl-2.4.6)
ADD_SUBDIRECTORY(sip-4.12.1)
ENDIF(SIP_OK)
ENDIF(PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND)
