=== docs/common/CMakeLists.txt ===
ADD_CUSTOM_TARGET(common_copy ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
