=== docs/python/CMakeLists.txt ===
IF(PYTHONINTERP_FOUND AND SIP_OK)
  
SET(Sphinx_DIR ${CMAKE_CURRENT_SOURCE_DIR})
MARK_AS_ADVANCED(Sphinx_DIR)
FIND_PACKAGE(Sphinx)
  
IF(SPHINX_FOUND)

ADD_CUSTOM_TARGET(pythonBindingsDoc ALL ${CMAKE_COMMAND} -DSPHINX_EXECUTABLE=${SPHINX_EXECUTABLE} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -DBIN_DIR=${CMAKE_CURRENT_BINARY_DIR} -P ${CMAKE_CURRENT_SOURCE_DIR}/genSphinxDoc.cmake
				  DEPENDS ${LibTulipPythonName} ${LibStlPythonName})
				  
SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "doc;doctrees") 

INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc 
  DESTINATION ${TulipShareInstallDir}/tulip-python
  COMPONENT tulip_doc)
																 
ELSE(SPHINX_FOUND)
	MESSAGE("Sphinx not found : unable to generate the documentation for the Python bindings.")
ENDIF(SPHINX_FOUND)
  
ENDIF(PYTHONINTERP_FOUND AND SIP_OK)
