=== debian/changelog ===
tulip (3.6.0dfsg-2) unstable; urgency=low

  * Don't build docs for tulip-doc from build-arch, move java packages,
    docbook-xsl and doxygen to Build-Depend-Indep (where default-jre-headless
    was, already).  Closes: #639313.  Uses debhelper compat level 9 for this,
    but for unknown reason so we do not get multiarch paths.
  * Drop apparently-useless build-dep on texlive-extra-utils (Closes:
    #616282).
  * Cleanup: merge the 2 gzstream-related patches in debian/patches, since
    the second one was obsoleting the first one.
  * Drop long-useless build-dep on sharutils.
  * Remove docs/doxygen/xml on clean.

 -- Yann Dirson <dirson@debian.org>  Fri, 09 Sep 2011 22:58:34 +0200

tulip (3.6.0dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #617602).
   * Upstream changed build system to cmake, dropping all previous patches.
     Closes: #407855, #559083, #633269 (not applicable any more).
   * Builds correctly with g++-4.5 (Closes: #615687).
   * Deactivate tlprender package, it is neither built nor buildable
     any more. Drop build-dep on libosmesa6-dev.
  * Noted REJECT in previous changelog entry.
  * Converted debian/copyright to DEP-5.
  * Regenerated upstream tarball as tar.bz2 after removing:
    * thirdparty/libgpugraph/: no license, unused upstream
    * thirdparty/{saxon,xml-commons}/: jars only, use debs instead
    * thirdparty/ftgl/: use debs instead
    * thirdparty/{QScintilla-gpl-2.4.6,sip-4.12.1}/: unused for now, see below
  * Kept DEP-5 entries for removed dirs in debian/copyright.nuked
  * Update debian/watch for new upstream naming scheme.
  * Switched build-dep from libjpeg62-dev to libjpeg-dev (Closes:
    #634636).
  * Switched build-dep from libgl1-mesa-swx11-dev to libgl1-mesa-dev |
    libgl-dev (Closes: #560012, #638169).
  * Disable thirdparty/ftgl directory and point to system one.
  * Changed libOGDF lib name to OGDFtlp-3.6.  Ideally we should rely on a
    standalone package for this, but OGDF upstream only build static libs
    anyway, so thirdparty/OGDF is as close to a usable shared lib as we
    can get, I guess... Create new binary package for it.
  * Make the name of the gzstream library tunable via cmake variable.
  * Change libgzstream name to libgzstreamtlp-3.6. Create new binary package
    for it.
  * Disable the python stuff for now even if it would be normally
    activated, it is even more work to get it right.  Will need build-dep
    on at least python-dev, python-sphinx, python-sip-dev,
    python-qscintilla2 when we want to do that.
  * Comment out INSTALL_RPATH flag on executables.  Call cmake with
    -DCMAKE_SKIP_RPATH:BOOL=YES.
  * Factored out references to doc-building jars in cmake files.
  * Use Debian-povided versions of doc-building jars, build-depend on
    libsaxon-java, libxml-commons-resolver1.1-java.

  * Switched to "dh", set compat level to 8.
  * Merge all -dev packages into tulip-dev for packaging convenience.
  * Fix typo in changelog (lintian).
  * Bumped Standards-Version to 3.9.1, no change.

 -- Yann Dirson <dirson@debian.org>  Thu, 25 Aug 2011 02:19:48 +0200

tulip (3.3.1-1) unstable; urgency=low

  * (rejected by ftpmaster because of thirdparty/*).
  * New upstream release.
  * Acknowledge NMUs.
  * Change lib package names to *-3.3.
  * Fixed patch for docbook-xsl catalog: move -D flags before the class
    name, so that also works when sun's jre is the default.
  * Dropped unneeded patches:
    * missing headers for gcc4.4
    * xml markup improvements
  * Regenerated autotools files, this time using autoconf2.59 to match
    upstream.
  * Use packaged ftgl instead of in-source one.
  * Capitalize doc-base section (lintian).
  * Bumped Standards-Version to 3.8.4, no change.

 -- Yann Dirson <dirson@debian.org>  Tue, 29 Jun 2010 22:13:47 +0200

tulip (3.1.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Change section of generated manpages to .3tulip (Closes: #557054, #558473)
  * urgency set to medium due to RC bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 27 Jan 2010 11:32:43 +0100

tulip (3.1.2-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Added missing headers for gcc4.4 (Closes: #527215) 

 -- Meike Reichle <meike@debian.org>  Sat, 23 Jan 2010 23:46:34 +0100

tulip (3.1.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use ttf-dejavu instead of ttf-bitstream-vera (now gone), patch from
    James Westby (Closes: #528152)
  * Add build-dep on texlive-extra-utils for epstopdf
  * Use local docbook-xsl catalog for saxon instead of relying on network
    access, patch from James Westby

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 23 Nov 2009 17:26:36 +0100

tulip (3.1.2-2) unstable; urgency=low

  * Fixed install target to cope with arch-dep-only builds (Closes:
    #526968).
  * Rename all manpages to .3tlp to avoid conflicting with various other
    pacakges (Closes: #526951).

 -- Yann Dirson <dirson@debian.org>  Mon, 04 May 2009 21:43:57 +0200

tulip (3.1.2-1) unstable; urgency=low

  * New upstream beta release, new shared-libs packages (Closes: #476008,
    #479327).
  * New packages for libtulip-pluginsmanager.
  * Drop version from -dev package names.
  * Use ${binary:Version} for versionning dependencies.
  * Automate dispatching header files into -dev packages (it was about
    time I get a round tuit...).
  * Build with --enable-tlprender --enable-stats-gui
  * Include tulip_check_pl in tulip package for now.
  * Build-depend on libglew1.5-dev and libqt4-opengl-dev.
  * Build-depend on libftgl-dev instead of transitionnal ftgl-dev.
  * Deactivate use of system ftgl, since 2.1.3 seems to drop backward
    compatibility.  
  * Build manuals using upstream Makefiles, build-depend on
    default-jre-headless instead of xmltex and xmlto (Closes: #419532).
  * Fixed debhelper flags for binary-indep target.
  * Ship library manpages and other doxygen-generated docs.
  * Added Homepage field to debian/control.

