=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH:BOOL=YES

build-arch:
	dh $@ --parallel
	docbook-to-man debian/tulip.sgml > debian/tulip.1
build-indep:
	#dh $@
	$(MAKE) -C obj-* doc

install-indep: build-indep
	dh_prep -i
	mkdir -p debian/tmp/usr/share/doc/tulip-doc
	set -e; for d in common userHandbook developerHandbook doxygen; do \
		cp -a obj-*/docs/$$d debian/tmp/usr/share/doc/tulip-doc/ ;\
	done
	dh_auto_install -- -C docs
	dh $@

install-arch: build-arch
	dh_prep -a
	install -D debian/tulip.1 debian/tmp/usr/share/man/man1/tulip.1
	dh $@

override_dh_install:
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/tulip.1
	rm -rf docs/doxygen/xml

binary: binary-arch binary-indep ;
