=== debian/watch ===
version=3
http://sf.net/auber/tulip-([\d.]*)(?:-src\.tar\.gz|\.tar\.bz2)
